> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/tokenization/get-a-collection-by-id",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get a collection by id

> Get a collection by id



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /tokenization/collections/{id}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tokenization/collections/{id}:
    get:
      tags:
        - Tokenization
      summary: Get a collection by id
      description: Get a collection by id
      operationId: getCollectionById
      parameters:
        - name: id
          required: true
          in: path
          description: The token link id
          example: fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb
          schema:
            type: string
      responses:
        '200':
          description: Collection fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionLinkDto'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<CollectionLinkDto>> =
            fireblocks.tokenization.getCollectionById(tokenizationApiGetCollectionByIdRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<CollectionLinkDto>> response =
            fireblocks.tokenization().getCollectionById(id);
        - lang: Python
          source: response = fireblocks.tokenization.get_collection_by_id(id);
components:
  schemas:
    CollectionLinkDto:
      type: object
      properties:
        id:
          type: string
          description: The collection id
          example: fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb
        status:
          enum:
            - PENDING
            - COMPLETED
          type: string
          description: The collection status
          example: COMPLETED
        type:
          allOf:
            - $ref: '#/components/schemas/CollectionType'
          example: NON_FUNGIBLE_TOKEN
        displayName:
          type: string
          description: >-
            The display name of the collection. If was not provided, would be
            taken from the contract template
          example: My Simple ERC721 Collection
        collectionMetadata:
          description: The collection's metadata
          allOf:
            - $ref: '#/components/schemas/CollectionMetadataDto'
      required:
        - id
        - status
        - type
    CollectionType:
      type: string
      description: The type of collection
      enum:
        - NON_FUNGIBLE_TOKEN
        - SEMI_FUNGIBLE_TOKEN
    CollectionMetadataDto:
      type: object
      properties:
        fbCollectionId:
          type: string
          description: Fireblocks collection id
          example: 911fe739f0d4d123c98fd366c3bed35c6e30c00e
        name:
          type: string
          description: Collection name
          example: Rarible
        symbol:
          type: string
          description: Collection symbol
          example: RARI
        standard:
          type: string
          description: Collection contract standard
          example:
            - ERC721
            - ERC1155
            - FA2
        blockchainDescriptor:
          type: string
          description: Collection's blockchain
          example: ETH
        contractAddress:
          type: string
          description: Collection contract address
          example: '0x1723017329a804564bC8d215496C89eaBf1F3211'
      required:
        - fbCollectionId
        - blockchainDescriptor
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````